clear,clc,clf
%Graficos Tridimensionales
%Comando plot3

%Recta
t=0:0.01:1;
x=1+t;
y=2+5*t;
z=-1+6*t;
plot3(x,y,z)

%Espiral
figure(2)
fi=[0:pi/20:6*pi];
plot3(cos(fi),sin(fi),fi,'r')
pause

%
figure(3)
t=0:0.1:20;
r=exp(-0.2*t);
th=pi*t*.5;
z=t;
x=r.*cos(th);
y=r.*sin(th);
plot3(x,y,z)
hold on
plot3([1,1],[-0.5,0],[0,0]);
text(1,-0.7,0,'A')
n=length(x);
text(x(n),y(n),z(n)+2,'B');
xlabel('x'),ylabel('y'),zlabel('z');
pause



%Grafica Superficie
clear,clc,clf
x=-2:.2:2;
y=-2:.2:2;
[X,Y]=meshgrid(x,y);
Z=X.*exp(-X.^2-Y.^2);
mesh(X,Y,Z);
title('Esta es una grafica 3D de z=x*exp(-x^2-y^2)');
xlabel('x'),ylabel('y'),zlabel('z');
pause


%Esfera
clear,clc,clf
ro=[0:0.01:0.99999999];
fi=[0:pi/10 :2*pi];
[RO,FI]=meshgrid(ro,fi);
X=RO.*cos(FI);
Y=RO.*sin(FI);
Z=sqrt(1-X.^2-Y.^2);
mesh(X,Y,Z);
pause


%Curvas de Nivel
clear,clc,clf, axis('square')
x=-2:.2:2;
y=-2:.2:2;
[X,Y]=meshgrid(x,y);
Z=X.*exp(-X.^2-Y.^2);
Zmax=max(max(Z));
Zmin=min(min(Z));
dZ=(Zmax-Zmin)/10;
nivel=Zmin+0.5*dZ:dZ:Zmax;
h=contour(X,Y,Z,nivel);
clabel(h,'manual');
title('Curvas de nivel realizada con la funcin contour(X,Y,Z,nivel)');
xlabel('x'),ylabel('y');
